KDE 4.9 PyKDE API Reference

- KDE's Python API

# GeoDataListStyle Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

## Enumerations
ListItemType | { Check, RadioFolder, CheckOffOnly, CheckHideChildren }
## Methods
| __init__ (self)
| __init__ (self, Marble.GeoDataListStyle other)
| append (self, Marble.GeoDataItemIcon other)
Marble.GeoDataItemIcon | at (self, int pos)
QColor | backgroundColor (self)
Marble.GeoDataItemIcon | child (self, int a0)
int | childPosition (self, Marble.GeoDataItemIcon child)
| clear (self)
Marble.GeoDataItemIcon | first (self)
Marble.GeoDataItemIcon | last (self)
Marble.GeoDataListStyle.ListItemType | listItemType (self)
QString | nodeType (self)
| pack (self, QDataStream stream)
| remove (self, int index)
| setBackgroundColor (self, QColor color)
| setListItemType (self, Marble.GeoDataListStyle.ListItemType type)
int | size (self)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataListStyle | other
| ) |  |  |

append | ( | self, |
|  | Marble.GeoDataItemIcon | other
| ) |  |  |

Marble.GeoDataItemIcon at | ( | self, |
|  | int | pos
| ) |  |  |

QColor backgroundColor | ( |  | self ) |

Marble.GeoDataItemIcon child | ( | self, |
|  | int | a0
| ) |  |  |

int childPosition | ( | self, |
|  | Marble.GeoDataItemIcon | child
| ) |  |  |

clear | ( |  | self ) |

Marble.GeoDataItemIcon first | ( |  | self ) |

Marble.GeoDataItemIcon last | ( |  | self ) |

Marble.GeoDataListStyle.ListItemType listItemType | ( |  | self ) |

QString nodeType | ( |  | self ) |

Provides type information for downcasting a GeoNode

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

remove | ( | self, |
|  | int | index
| ) |  |  |

setBackgroundColor | ( | self, |
|  | QColor | color
| ) |  |  |

setListItemType | ( | self, |
|  | Marble.GeoDataListStyle.ListItemType | type
| ) |  |  |

int size | ( |  | self ) |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

## Enumeration Documentation

ListItemType

Enumerator:

  Check |
  RadioFolder |
  CheckOffOnly |
  CheckHideChildren |